	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour17")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", 112.41)
	call psetr("subpage_upper_right_longitude", 154.14)
	call psetr("subpage_upper_right_latitude", -9.56)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", -44.14)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "700_hPa_relative_humidity.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_shade_method", "area_fill")
	call psetr("contour_reference_level", 65.00)
	call psetc("contour", "off")
	call pseti("contour_line_thickness", 1)
	call psetc("contour_label", "off")
	call psetr("contour_min_level", 65.00)
	call psetc("legend", "on")
	call psetc("contour_shade_min_level_colour", "yellowish_green")
	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_shade", "on")
	call pset1r("contour_level_list", (/65.00, 80.00, 95.00, 200.00/), 4)
	call psetc("contour_hilo", "off")
	call psetc("contour_highlight", "off")
	call pset1c("contour_shade_colour_list", (/"rgb(0.8,1,0.8)   ", "rgb(0.7,0.95,0.9)", "rgb(0.6,0.75,1)  "/), 3)
	call psetr("contour_shade_min_level", 65.00)
	call pcont

	call preset('contour_shade_colour_method')
	call preset('contour_shade_method')
	call preset('contour_reference_level')
	call preset('contour')
	call preset('contour_line_thickness')
	call preset('contour_label')
	call preset('contour_min_level')
	call preset('legend')
	call preset('contour_shade_min_level_colour')
	call preset('contour_level_selection_type')
	call preset('contour_shade')
	call preset('contour_level_list')
	call preset('contour_hilo')
	call preset('contour_highlight')
	call preset('contour_shade_colour_list')
	call preset('contour_shade_min_level')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1c("text_lines", (/"<font size="1">700 hPa relative humidity (Range: 65 .. 100)</font>", "<magics_title/>                                                   "/), 2)
	call psetr("text_font_size", 0.60)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
